Bug 108414 - Make crond a PIE
Summary: Make crond a PIE
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vixie-cron   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 170796
TreeView+ depends on / blocked
 
Reported: 2003-10-29 07:00 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 3.0.1-82
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-12 07:48:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Minimal patch to build as PIE (633 bytes, patch)
2003-10-29 07:01 UTC, Ulrich Drepper
no flags Details | Diff

Description Ulrich Drepper 2003-10-29 07:00:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a) Gecko/20031028
Firebird/0.7+

Description of problem:
crond is long running and it allows user controlling it.  A good candidate for
PIEs.  I'll attach a patch.

Version-Release number of selected component (if applicable):
vixie-cron-3.0.1-76

How reproducible:
Always

Steps to Reproduce:
1.readelf -h /usr/sbin/crond|fgrep Type
2.
3.
    

Actual Results:    Type:                              EXEC (Executable file)


Expected Results:    Type:                              DYN (Shared object file)


Additional info:

Comment 1 Ulrich Drepper 2003-10-29 07:01:38 UTC
Created attachment 95564 [details]
Minimal patch to build as PIE

Comment 2 Jens Petersen 2003-11-07 13:29:32 UTC
Thanks, should be in vixie-cron-3.0.1-82.

Comment 3 Ulrich Drepper 2003-11-12 07:48:07 UTC
Verified.


Note You need to log in before you can comment on or make changes to this bug.